SavepointImpl (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class SavepointImpl

- java.lang.Object
- - net.sourceforge.jtds.jdbc.SavepointImpl

- All Implemented Interfaces:
    java.sql.Savepoint

       class SavepointImpl
      extends java.lang.Object
      implements java.sql.Savepoint

  Savepoint implementation class.
  Version:
    $Id: SavepointImpl.java,v 1.5 2005-04-28 14:29:27 alin_sinpalean Exp $
  Author:
    Brian Heineman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `id`
    `private java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SavepointImpl(int id)` Constructs a savepoint with a specific identifier.
    `SavepointImpl(int id, java.lang.String name)` Constructs a savepoint with a specific identifier and name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `getId()` Returns the savepoint id.
    `int` | `getSavepointId()`
    `java.lang.String` | `getSavepointName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          private final int id

    - #### name

          private final java.lang.String name

  - ### Constructor Detail

    - #### SavepointImpl

          SavepointImpl(int id)

      Constructs a savepoint with a specific identifier.
      Parameters:
        `id` - a savepoint identifier

    - #### SavepointImpl

          SavepointImpl(int id,
                       java.lang.String name)

      Constructs a savepoint with a specific identifier and name.
      Parameters:
        `id` - a savepoint identifier
        `name` - the savepoint name

  - ### Method Detail

    - #### getSavepointId

          public int getSavepointId()
                             throws java.sql.SQLException

      Specified by:
        `getSavepointId` in interface `java.sql.Savepoint`
      Throws:
        `java.sql.SQLException`

    - #### getSavepointName

          public java.lang.String getSavepointName()
                                            throws java.sql.SQLException

      Specified by:
        `getSavepointName` in interface `java.sql.Savepoint`
      Throws:
        `java.sql.SQLException`

    - #### getId

          int getId()

      Returns the savepoint id. This will not throw an exception for named savepoints as would `getSavepointId()`.
      Returns:
        the savepoint id

Generated on June 8 2013